For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get Started
Docs & GuidesAPI Reference
Docs & GuidesAPI Reference
  • Authentication
    • API Authentication
  • API Reference
      • POSTCreate Invitation
      • DELDelete Invitation
      • GETGet Invitation
      • GETList Invitations
      • GETList Roles
      • GETList Users
      • DELRemove User
      • PUTUpdate User Roles
Get Started
LogoLogo
API ReferenceUser Management

Get Invitation

GET
https://api.coactive.ai/api/v1/auth-management/user-invitations/:invitation_id
GET
/api/v1/auth-management/user-invitations/:invitation_id
$curl https://api.coactive.ai/api/v1/auth-management/user-invitations/invitation_id \
> -H "Authorization: Bearer <token>"
1{
2 "invitation_id": "inv_123",
3 "inviter": {
4 "name": "John Doe"
5 },
6 "invitee": {
7 "email": "john@example.com",
8 "name": "John Doe",
9 "roles": [
10 {
11 "role_id": "admin"
12 }
13 ]
14 },
15 "invitation_url": "https://example.com/invitation/123",
16 "created_at": "2024-01-01T00:00:00Z",
17 "expires_at": "2024-01-01T00:00:00Z",
18 "roles": [
19 {
20 "role_id": "admin"
21 }
22 ]
23}
Get a user invitation. Get the details of a pending user invitation.
Was this page helpful?
Previous

List Invitations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invitation_idstringRequired
The unique identifier of the invitation to retrieve

Response

The details of a pending user invitation
invitation_idstring
Unique identifier for the invitation
inviterobject
Details about the user who sent the invitation
inviteeobject
Details about the user being invited
invitation_urlstring
URL for the user to accept the invitation
created_atstring
Timestamp when the invitation was created
expires_atstring
Timestamp when the invitation expires
roleslist of objects
List of roles that will be assigned upon acceptance

Errors

422
Unprocessable Entity Error